Package org.apache.lucene.codecs.lucene95

# Interface HasIndexSlice

All Known Implementing Classes:
  `OffHeapByteVectorValues`, `OffHeapByteVectorValues.DenseOffHeapVectorValues`, `OffHeapFloatVectorValues`, `OffHeapFloatVectorValues.DenseOffHeapVectorValues`, `OffHeapQuantizedByteVectorValues`, `OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`, `QuantizedByteVectorValues`

public interface HasIndexSlice
Implementors can return the IndexInput from which their values are read. For use by vector quantizers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IndexInput`
  `getSlice()`
  Returns an IndexInput from which to read this instance's values.

- ## Method Details

  - ### getSlice

    IndexInput getSlice()
    Returns an IndexInput from which to read this instance's values.